#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>
				<li class="active">&{'distributor.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
		#{form @penyedia.DistributorCtr.persetujuanDistributorSubmit(), method:'POST', id:'formPersetujuan'}
            <!-- Toolbar -->
            <input type="hidden" name="penyedia_id" value="${pid}">
            <input type="hidden" id="alasanSubmit" name="alasan">
            <input type="hidden" id="setujuTolakFp" name="setujuTolakFp">
			<div class="toolbar">
				#{backButton action:@masterdata.PenyediaCtr.index()/}
				<a href="@{create(pid)}" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'distributor.label'}</a>
				<a href="#" type="button" class="btn btn-warning btn-sm" id="persetujuan" disabled="disabled"><i class="fa fa-check"></i>
				&{'persetujuan_distributor.label'}</a>
				<label>&{'pilih_semua.label'}</label>&nbsp;<input type="checkbox" id="selectAll"/>
			</div>
            <!-- End Toolbar -->

            <!-- Data Table -->
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
				#{alert /}
                    <!-- Data Table -->
                    <table class="table table-condensed" id="tblDistributor">
                        <thead>
                        <tr>
							<th>&{'nomor.label'}</th>
                            <th>&{'pilih.label'}</th>
                            <th>&{'nama_distributor.label'}</th>
                            <th>&{'nomor_telp.label'}</th>
                            <th>&{'email.label'}</th>
                            <th>&{'situs_web.label'}</th>
                            <th>&{'status.label'}</th>
                            <th>&{'aksi.label'}</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
            <!-- End Data Table -->
		#{/form}
		</div>
	</div>

    <!-- Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'persetujuan_distributor.label'}</h4>
                </div>
                <div class="modal-body">
                    <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>
                    <div class="form-group">
                        <label class="control-label">&{'alasan.label'} </label>
                        <textarea id="alasan" class="form-control"></textarea>
                    </div>
                    <input id="input_id" name="id_sumber" type="hidden" />
                    * &{'wajib_diisi_jika_menolak.label'}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary setujuTolak" value="setuju">&{'setuju.label'}</button>
                    <button type="button" class="btn btn-primary setujuTolak" value="tolak">&{'tolak.label'}</button>
                    <button type="button" class="btn btn-warning" data-dismiss="modal">&{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblDistributor").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariDistributor()}",
                cache : true,
                data : {
                    penyedia_id : ${pid}
                }
            },
            order : [ [ 0, "asc" ] ],
            columns : [{
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : true
            }, {
                "searchable" : true, "className": "header-center"
            }, {
                "searchable" : true, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            } ]
        });

        $("body").on("click", ".idDistributors", function () {
            var jumlahCek = $('[name="idDistributor"]:checked').length;

            // console.log(jumlahCek);

            if(jumlahCek > 0){
                $("#persetujuan").removeAttr('disabled');
            }else{
                $("#persetujuan").attr('disabled','disabled');
            }
        });

        $("#selectAll").click(function () {
            var checked = $(this).is(":checked");
            if(checked){
                $(".idDistributors").prop("checked", true);
                $("#persetujuan").removeAttr('disabled');
            } else {
                $(".idDistributors").prop("checked", false);
                $("#persetujuan").attr('disabled','disabled');
            }
        });

        $("body").on("click", "#persetujuan", function() {
            $("#editModal").modal();
        });

        $("body").on("click", ".setujuTolak", function() {
            var this_val = $(this).val();
            var alasan_val = $("#alasan").val();

            if(this_val == "tolak" && alasan_val == ""){
                $("#error-message").html("&{'produk.tolak.alasan.error'}");
                $("#error-message").show();
            }else{
                $("#error-message").hide();
                $("#alasanSubmit").val($("#alasan").val());
                $("#setujuTolakFp").val($(this).val());
                $("#editModal").modal('hide');
                $("#formPersetujuan").submit();
            }
        });
    });
</script>
#{/set}
